org.eclipse.oomph.resources

## Interface ResourcesFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    ResourcesFactoryImpl

      public interface ResourcesFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `ResourcesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResourcesFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EclipseProjectFactory` | `createEclipseProjectFactory()` Returns a new object of class 'Eclipse Project Factory'.
    `MavenProjectFactory` | `createMavenProjectFactory()` Returns a new object of class 'Maven Project Factory'.
    `SourceLocator` | `createSourceLocator()` Returns a new object of class 'Source Locator'.
    `SourceLocator` | `createSourceLocator(String rootFolder)`
    `SourceLocator` | `createSourceLocator(String rootFolder, boolean locateNestedProjects)`
    `ResourcesPackage` | `getResourcesPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final ResourcesFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createSourceLocator

          SourceLocator createSourceLocator()

      Returns a new object of class 'Source Locator'.
      Returns:
        a new object of class 'Source Locator'.
      Generated

    - #### createEclipseProjectFactory

          EclipseProjectFactory createEclipseProjectFactory()

      Returns a new object of class 'Eclipse Project Factory'.
      Returns:
        a new object of class 'Eclipse Project Factory'.
      Generated

    - #### createMavenProjectFactory

          MavenProjectFactory createMavenProjectFactory()

      Returns a new object of class 'Maven Project Factory'.
      Returns:
        a new object of class 'Maven Project Factory'.
      Generated

    - #### createSourceLocator

          SourceLocator createSourceLocator(String rootFolder)

    - #### createSourceLocator

          SourceLocator createSourceLocator(String rootFolder,
                                          boolean locateNestedProjects)

    - #### getResourcesPackage

          ResourcesPackage getResourcesPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html